﻿using ListViewItemDoubleClickTest.Models;
using System.Collections.ObjectModel;
using System.Windows;

namespace ListViewItemDoubleClickTest.ViewModels
{
    public class MainViewModel
    {
        public MainViewModel()
        {
            AllUsers = new ObservableCollection<User>();
            AllUsers.Add(new User { Age = 27, Name = "李明" });
            AllUsers.Add(new User { Age = 30, Name = "张伟" });
            AllUsers.Add(new User { Age = 28, Name = "王红" });

            ShowInfoCommand = new RelayCommand(ShowInfo);
        }

        public ObservableCollection<User> AllUsers { get; set; }

        public User SelectedUser { get; set; }


        public RelayCommand ShowInfoCommand { get; set; }

        private void ShowInfo()
        {
            MessageBox.Show(SelectedUser.ToString());
        }
    }
}